// ioTestDlg.h : header file
//
#include "mmccontrol.h"
//{{AFX_INCLUDES()
#include "msflexgrid.h"
//}}AFX_INCLUDES

#if !defined(AFX_IOTESTDLG_H__D1DCE2C8_548E_4413_8158_558C13E3EFF8__INCLUDED_)
#define AFX_IOTESTDLG_H__D1DCE2C8_548E_4413_8158_558C13E3EFF8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CIoTestDlg dialog

class CIoTestDlg : public CDialog
{
public:
	CMMCControl* m_pMMC;
	void Reflash(BOOL force=TRUE);

// Construction
public:
	void close();
	int init();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	USHORT m_wr3[4];
	void WriteWR3(USHORT axis, USHORT wr3,BOOL flag=TRUE);
	CIoTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CIoTestDlg)
	enum { IDD = IDD_IOTEST_DIALOG };
	CButton	m_DX8;
	CButton	m_DX9;
	CButton	m_DX10;
	CButton	m_DX11;
	CButton	m_DY8;
	CButton	m_DY9;
	CButton	m_DY10;
	CButton	m_DY11;
	CButton	m_DZ8;
	CButton	m_DZ9;
	CButton	m_DZ10;
	CButton	m_DZ11;
	CButton	m_DU8;
	CButton	m_DU9;
	CButton	m_DU10;
	CButton	m_DU11;
	CEdit	m_Z2Pos;
	CEdit	m_Y2Pos;
	CEdit	m_X2Pos;
	CEdit	m_U2Pos;
	CEdit	m_UPos;
	CEdit	m_ZPos;
	CEdit	m_YPos;
	CEdit	m_XPos;
	CButton	m_ReadButton;
	CButton	m_AutoRead;
	CEdit	m_EditInc;
	CComboBox	m_ctrlCardList;
	int		m_CardList;
	CMSFlexGrid	m_ctrlRR;
	long	m_pulse;
	int		m_DriveModeX;
	int		m_DriveModeU;
	int		m_DriveModeY;
	int		m_DriveModeZ;
	int		m_SelectAxis;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIoTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CToolTipCtrl m_tooltip;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CIoTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnCheckAutoread();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonReadregister();
	afx_msg void OnSelchangeComboCardList();
	afx_msg void OnButtonPlusx();
	afx_msg void OnButtonMinusx();
	afx_msg void OnButtonPlusy();
	afx_msg void OnButtonMinusy();
	afx_msg void OnButtonPlusz();
	afx_msg void OnButtonMinusz();
	afx_msg void OnButtonPlusu();
	afx_msg void OnButtonMinusu();
	afx_msg void OnStaticAbout();
	afx_msg void OnCheckDx8();
	afx_msg void OnCheckDx9();
	afx_msg void OnCheckDx10();
	afx_msg void OnCheckDx11();
	afx_msg void OnRadioDrivemodeX1();
	afx_msg void OnRadioDrivemodeX2();
	afx_msg void OnRadioDrivemodeX3();
	afx_msg void OnCheckDy8();
	afx_msg void OnCheckDy9();
	afx_msg void OnCheckDy10();
	afx_msg void OnCheckDy11();
	afx_msg void OnRadioDrivemodeY1();
	afx_msg void OnRadioDrivemodeY2();
	afx_msg void OnRadioDrivemodeY3();
	afx_msg void OnCheckDz8();
	afx_msg void OnCheckDz9();
	afx_msg void OnCheckDz10();
	afx_msg void OnCheckDz11();
	afx_msg void OnRadioDrivemodeZ1();
	afx_msg void OnRadioDrivemodeZ2();
	afx_msg void OnRadioDrivemodeZ3();
	afx_msg void OnCheckDu8();
	afx_msg void OnCheckDu9();
	afx_msg void OnCheckDu10();
	afx_msg void OnCheckDu11();
	afx_msg void OnRadioDrivemodeU1();
	afx_msg void OnRadioDrivemodeU2();
	afx_msg void OnRadioDrivemodeU3();
	afx_msg void OnRadioAxis1();
	afx_msg void OnRadioAxis2();
	afx_msg void OnRadioAxis3();
	afx_msg void OnRadioAxis4();
	afx_msg void OnClickMsflexgridRr();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IOTESTDLG_H__D1DCE2C8_548E_4413_8158_558C13E3EFF8__INCLUDED_)
